# Capistrano3::Idobata

Send deployment notification to [Idobata](https://idobata.io) :rocket:

![screenshot.png](image/screenshot.png)

## Installation

```ruby
# Gemfile
gem 'capistrano3-idobata'

# Capfile
require 'capistrano3/idobata'

# config/deploy.rb
set :idobata_hook_url, 'https://idobata.io/hook/generic/xxxxx'
set :repository_url, 'https://github.com/xxxxx/xxxxx'
```

## Adding some labels

```ruby
# config/deploy.rb
set :idobata_additional_label, %w(NOOP)
```

## Contributing

1. Fork it ( https://github.com/spice-life/capistrano3-idobata/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
