# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'capistrano3/idobata/version'

Gem::Specification.new do |spec|
  spec.name          = "capistrano3-idobata"
  spec.version       = Capistrano3::Idobata::VERSION
  spec.authors       = ["kirikiriyamama"]
  spec.email         = ["kirikiriyamama@icloud.com"]
  spec.summary       = %q{Send deployment notification to Idobata}
  spec.description   = %q{Send deployment notification to Idobata}
  spec.homepage      = "https://github.com/spice-life/capistrano3-idobata"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "capistrano", "~> 3.1"
  spec.add_dependency "idobata", "~> 0.0", ">= 0.0.9"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
end
